# backend/app/constants.py
from enum import Enum


class TournamentTypes(str, Enum):
    SINGLE = "Single"
    DOUBLE = "Double"


class MatchStatus(str, Enum):
    SCHEDULED = "Scheduled"
    PENDING = "Pending"
    FINISHED = "Finished"


class BracketTypes(str, Enum):
    WB = "Winner"
    LB = "Loser"
    FINALS = "Finals"


class WinnerSide(str, Enum):
    P1 = "p1"
    P2 = "p2"
    NONE = "none"


SUCCESS = {"status": "ok"}
